
Imports Interop.QBFC5
Module Module_BuildItemInventoryModRqModule
    Public Sub BuildItemInventoryModRq(ByVal item As Item, ByVal requestMsgSet As IMsgSetRequest, ByVal country As String)

        If (requestMsgSet Is Nothing) Then
            Exit Sub
        End If

        'Add the request to the message set request object.
        Dim itemInventoryMod As IItemInventoryMod
        itemInventoryMod = requestMsgSet.AppendItemInventoryModRq()

        'Set the elements of IItemInventoryMod.

        ' Set the value of the IItemInventoryMod.ListID element.
        itemInventoryMod.ListID.SetValue(item.listId)

        ' Set the value of the IItemInventoryMod.EditSequence element.
        itemInventoryMod.EditSequence.SetValue(item.editSequence)

        ' Set the value of the IItemInventoryMod.Name element.
        itemInventoryMod.Name.SetValue(item.name)

        ' Set the value of the IItemInventoryMod.IsActive element.
        itemInventoryMod.IsActive.SetValue(True)

        If (country = "US") Then
            ' Set the FullName value.
            itemInventoryMod.SalesTaxCodeRef.FullName.SetValue(item.taxCode)
        End If
        ' Set the value of the IItemInventoryMod.SalesDesc element.
        itemInventoryMod.SalesDesc.SetValue(item.salesDescription)

        ' Set the value of the IItemInventoryMod.SalesPrice element.
        itemInventoryMod.SalesPrice.SetValue(item.price)

        ' Set the value of the IItemInventoryMod.PurchaseDesc element.
        itemInventoryMod.PurchaseDesc.SetValue(item.purchaseDescription)

        ' Set the value of the IItemInventoryMod.PurchaseCost element.
        itemInventoryMod.PurchaseCost.SetValue(item.cost)

        ' Set the FullName value.
        itemInventoryMod.COGSAccountRef.FullName.SetValue(item.costOfGoodsSoldAccount)

        ' Set the FullName value.
        itemInventoryMod.AssetAccountRef.FullName.SetValue(item.assetAccount)

        itemInventoryMod.IncludeRetElementList.Add("ListID")
        itemInventoryMod.IncludeRetElementList.Add("EditSequence")
        itemInventoryMod.IncludeRetElementList.Add("Name")

    End Sub
End Module
