Public Class Order
    Private o_id As String
    Private o_listId As String
    Private o_customerListId As String
    Private o_editSequence As String
    Private o_transactionDate As String
    Private o_billingName As String
    Private o_billingCompany As String
    Private o_billingStreetAddress As String
    Private o_billingCity As String
    Private o_billingState As String
    Private o_billingPostcode As String
    Private o_billingCountry As String
    Private o_shippingName As String
    Private o_ShippingCompany As String
    Private o_shippingStreetAddress As String
    Private o_shippingCity As String
    Private o_shippingState As String
    Private o_shippingPostcode As String
    Private o_shippingCountry As String
    Private o_poNumber As String
    Private o_shipDate As String
    Private o_shipMethod As String
    Private o_salesTaxAmount As Double
    Private o_shippingAmount As Double
    Private o_giftAmount As Double
    Private o_couponAmount As Double
    Private o_className As String
    Private o_paymentMethod As String
    Private o_depositAccount As String
    Private o_totalAmount As Double
    Private o_notes As String




    Public Sub New()
    End Sub
    Public lineItems() As OrderLineItem
    Property id() As String
        Get
            Return o_id
        End Get
        Set(ByVal Value As String)
            o_id = Value
        End Set
    End Property

    Property listId() As String
        Get
            Return o_listId
        End Get
        Set(ByVal Value As String)
            o_listId = Value
        End Set
    End Property

    Property editSequence() As String
        Get
            Return o_editSequence
        End Get
        Set(ByVal Value As String)
            o_editSequence = Value
        End Set
    End Property

    Property customerListId() As String
        Get
            Return o_customerListId
        End Get
        Set(ByVal Value As String)
            o_customerListId = Value
        End Set
    End Property

    Property transactionDate() As String
        Get
            Return o_transactionDate
        End Get
        Set(ByVal Value As String)
            o_transactionDate = Value
        End Set
    End Property

    Property billingStreetAddress() As String
        Get
            Return o_billingStreetAddress
        End Get
        Set(ByVal Value As String)
            If Len(Value) > 41 Then
                Value = Value.Substring(0, 41)
            End If
            o_billingStreetAddress = Value
        End Set
    End Property

    Property billingCity() As String
        Get
            Return o_billingCity
        End Get
        Set(ByVal Value As String)
            If Len(Value) > 31 Then
                Value = Value.Substring(0, 31)
            End If
            o_billingCity = Value
        End Set
    End Property

    Property billingState() As String
        Get
            Return o_billingState
        End Get
        Set(ByVal Value As String)
            If Len(Value) > 21 Then
                Value = Value.Substring(0, 21)
            End If
            o_billingState = Value
        End Set
    End Property

    Property billingPostcode() As String
        Get
            Return o_billingPostcode
        End Get
        Set(ByVal Value As String)
            If Len(Value) > 13 Then
                Value = Value.Substring(0, 13)
            End If
            o_billingPostcode = Value
        End Set
    End Property

    Property billingCountry() As String
        Get
            Return o_billingCountry
        End Get
        Set(ByVal Value As String)
            If Len(Value) > 31 Then
                Value = Value.Substring(0, 31)
            End If
            o_billingCountry = Value
        End Set
    End Property

    Property shippingStreetAddress() As String
        Get
            Return o_shippingStreetAddress
        End Get
        Set(ByVal Value As String)
            If Len(Value) > 41 Then
                Value = Value.Substring(0, 41)
            End If
            o_shippingStreetAddress = Value
        End Set
    End Property

    Property shippingCity() As String
        Get
            Return o_shippingCity
        End Get
        Set(ByVal Value As String)
            If Len(Value) > 31 Then
                Value = Value.Substring(0, 31)
            End If
            o_shippingCity = Value
        End Set
    End Property

    Property shippingState() As String
        Get
            Return o_shippingState
        End Get
        Set(ByVal Value As String)
            If Len(Value) > 21 Then
                Value = Value.Substring(0, 21)
            End If
            o_shippingState = Value
        End Set
    End Property

    Property shippingPostcode() As String
        Get
            Return o_shippingPostcode
        End Get
        Set(ByVal Value As String)
            If Len(Value) > 13 Then
                Value = Value.Substring(0, 13)
            End If
            o_shippingPostcode = Value
        End Set
    End Property

    Property shippingCountry() As String
        Get
            Return o_shippingCountry
        End Get
        Set(ByVal Value As String)
            If Len(Value) > 31 Then
                Value = Value.Substring(0, 31)
            End If
            o_shippingCountry = Value
        End Set
    End Property

    Property poNumber() As String
        Get
            Return o_poNumber
        End Get
        Set(ByVal Value As String)
            If Len(Value) > 25 Then
                Value = Value.Substring(0, 25)
            End If
            o_poNumber = Value
        End Set
    End Property

    Property shipDate() As String
        Get
            Return o_shipDate
        End Get
        Set(ByVal Value As String)
            o_shipDate = Value
        End Set
    End Property

    Property shipMethod() As String
        Get
            Return o_shipMethod
        End Get
        Set(ByVal Value As String)
            o_shipMethod = Value
        End Set
    End Property

    Property giftAmount() As Double
        Get
            Return o_giftAmount
        End Get
        Set(ByVal Value As Double)
            o_giftAmount = Value
        End Set
    End Property

    Property couponAmount() As Double
        Get
            Return o_couponAmount
        End Get
        Set(ByVal Value As Double)
            o_couponAmount = Value
        End Set
    End Property

    Property salesTaxAmount() As Double
        Get
            Return o_salesTaxAmount
        End Get
        Set(ByVal Value As Double)
            o_salesTaxAmount = Value
        End Set
    End Property

    Property shippingAmount() As Double
        Get
            Return o_shippingAmount
        End Get
        Set(ByVal Value As Double)
            o_shippingAmount = Value
        End Set
    End Property

    Property className() As String
        Get
            Return o_className
        End Get
        Set(ByVal Value As String)
            o_className = Value
        End Set
    End Property

    Public Sub addLineItem(ByVal item As OrderLineItem)
        If lineItems Is Nothing Then
            ReDim lineItems(0)
        Else
            ReDim Preserve lineItems(lineItems.Length)
        End If
        lineItems(lineItems.Length - 1) = item
    End Sub

    Property paymentMethod() As String
        Get
            Return o_paymentMethod
        End Get
        Set(ByVal Value As String)
            o_paymentMethod = Value
        End Set
    End Property

    Property depositAccount() As String
        Get
            Return o_depositAccount
        End Get
        Set(ByVal Value As String)
            o_depositAccount = Value
        End Set
    End Property

    Property totalAmount() As Double
        Get
            Return o_totalAmount
        End Get
        Set(ByVal Value As Double)
            o_totalAmount = Value
        End Set
    End Property

    Property billingName() As String
        Get
            Return o_billingName
        End Get
        Set(ByVal Value As String)
            o_billingName = Value
        End Set
    End Property

    Property shippingName() As String
        Get
            Return o_shippingName
        End Get
        Set(ByVal Value As String)
            o_shippingName = Value
        End Set
    End Property

    Property billingCompany() As String
        Get
            Return o_billingCompany
        End Get
        Set(ByVal Value As String)
            o_billingCompany = Value
        End Set
    End Property

    Property shippingCompany() As String
        Get
            Return o_ShippingCompany
        End Get
        Set(ByVal Value As String)
            o_ShippingCompany = Value
        End Set
    End Property

    Property notes() As String
        Get
            Return o_notes
        End Get
        Set(ByVal Value As String)
            o_notes = Value
        End Set
    End Property

End Class
