Imports Interop.QBFC5

Module Module_BuildItemInventoryAddRqModule

    Public Sub BuildItemInventoryAddRq(ByVal item As Item, ByVal requestMsgSet As IMsgSetRequest, ByVal country As String)

        If (requestMsgSet Is Nothing) Then
            Exit Sub
        End If

        'Add the request to the message set request object.
        Dim itemInventoryAdd As IItemInventoryAdd
        itemInventoryAdd = requestMsgSet.AppendItemInventoryAddRq()

        'Set the elements of IItemInventoryAdd.

        ' Set the value of the IItemInventoryAdd.Name element.
        itemInventoryAdd.Name.SetValue(item.name)

        ' Set the value of the IItemInventoryAdd.IsActive element.
        itemInventoryAdd.IsActive.SetValue(True)

       
        If (country = "US") Then
            ' Set the FullName value.
            itemInventoryAdd.SalesTaxCodeRef.FullName.SetValue(item.taxCode)
        End If
        ' Set the value of the IItemInventoryAdd.SalesDesc element.
        itemInventoryAdd.SalesDesc.SetValue(item.salesDescription)

        ' Set the value of the IItemInventoryAdd.SalesPrice element.
        itemInventoryAdd.SalesPrice.SetValue(item.price)

        ' Set the FullName value.
        itemInventoryAdd.IncomeAccountRef.FullName.SetValue(item.incomeAccount)

        ' Set the value of the IItemInventoryAdd.PurchaseDesc element.
        itemInventoryAdd.PurchaseDesc.SetValue(item.purchaseDescription)

        ' Set the value of the IItemInventoryAdd.PurchaseCost element.
        itemInventoryAdd.PurchaseCost.SetValue(item.cost)

        ' Set the FullName value.
        itemInventoryAdd.COGSAccountRef.FullName.SetValue(item.costOfGoodsSoldAccount)

        ' Set the FullName value.
        itemInventoryAdd.AssetAccountRef.FullName.SetValue(item.assetAccount)

        ' Set the value of the IItemInventoryAdd.QuantityOnHand element.
        itemInventoryAdd.QuantityOnHand.SetValue(item.quantityOnHand)

        ' Set the value of the IItemInventoryAdd.InventoryDate element.
        itemInventoryAdd.InventoryDate.SetValue(item.dateAdded)

        itemInventoryAdd.IncludeRetElementList.Add("ListID")
        itemInventoryAdd.IncludeRetElementList.Add("EditSequence")
        itemInventoryAdd.IncludeRetElementList.Add("Name")

    End Sub
End Module
